## CHANGELOG

### 0.19.0 *[ 22 Jan 2024 ]*
- Support Cross Platform Resume via `HyperKyc#createUniqueId` & `HyperKycConfig#setUniqueId`
- Upgrade native iOS HyperKYC to `0.19.0`
  - Add support for cross platform resume functionality
  - Add support for webview to not depend on sdk inputs to serve UserAgent string for OAuth/RPD
  - Fix video statement v2 to have a default statement text - `{{otp}}`
  - Use HyperSnapSDK `4.18.0`
    - Fix issue with reversed instruction for active liveness on multi cam devices
- Upgrade native Android HyperKYC to `0.19.0`
  - Add support for cross platform resume with module expiry
  - Add resume_demo sample app module to test CPR
  - Add support for webview to not depend on sdk inputs to serve UserAgent string for OAuth/RPD
  - Fix text component faulty reload on init bug
  - Fix video statement v2 to have a default statement text - `{{otp}}`
  - Use HyperSnapSDK `4.18.4`
    - Fix back button not responding issues on face capture screen

### 0.18.3 *[ 17 Jan 2024]*
- Upgrade native iOS HyperKYC to `0.18.3`
  - Bug Fixes:
    - Add support for finish transaction calls to point to the region of the country selected
    - Fix bug in injecting values for form components
    - Fix issue with deleting saved state for local resume
  - Use HyperSnapSDK `4.17.1`
- Upgrade native Android HyperKYC to `0.18.4`
  - Add support for finish transaction calls to point to the region of the country selected
  - Add support for injection to hint subTypes for label form component
  - Use HyperSnapSDK `4.18.3`
    - Add null checks for mimeType and URI in upload doc flow
    - Fix capture completion callbacks firing multiple times
    
### 0.18.2 *[ 08 Jan 2024]*
- Upgrade native iOS HyperKYC to `0.18.2`
  - Bug Fixes:
    - Fix bug with datepicker closing after every selection
    - Fix bug with webview not loading with no network connection
  - Use HyperSnapSDK `4.17.1`
    - Bug Fixes:
      - Fix automatic closing of iPad screens
      - Fix face capture getting stuck when face is blurry
- Upgrade native Android HyperKYC to `0.18.2`
  - Add support to preserve activity restart state
  - Add fixes to `IndexOutOfBoundsException` when workflow starts
  - Add fixes to input lag on form fields
  - Add fixes to stop multiple taps on form button
  - Add fixes to delete log files
  - Add fixes to multi country selection when SDK is paused and resumed
  - Fix loader lottie to loop when workflow loads
  - Use HyperSnapSDK `4.18.2`
    - Fix Button letter spacing to 0 by default
    - Fix crashes when activity is restarted
    - Fix 404 issues on 3rd retry of OCR and liveness call
    - Fix ANRs in onPause of capture screens
    - Fix camera crash on video statement flow
    
### 0.18.1 *[ 11 Dec 2023]*
- Upgrade native iOS HyperKYC to `0.18.1`
  - Add support for resume workflow for form modules
  - Use HyperSnapSDK `4.17.0`
    - Add support to handle password protected files
    - Update security checks
- Upgrade native Android HyperKYC to `0.18.1`
  - Add support for resume workflow for form modules
  - Use HyperSnapSDK `4.18.0`
    - Integrate HyperLogger
    - Integrate Sentry SDK

### 0.18.0 *[ 17 Nov 2023]*
- Upgrade native iOS HyperKYC to `0.18.0`
  - Add support for no-UI API child modules
  - Add support for `horizontal` component
  - Add support for `image`, `timer` and `loader` components
  - Add support for `blocks` subType for `text` component - OTP use-cases
  - Add support for margin and padding customisation for form components
  - Add support for non `http/www` redirections within `webview` module - UPI payment use-cases
  - Add support for container components to be clickable
  - Add support for `circleBorderColor` to `divider` form component
  - Add support to expose `attempts` for all modules
  - Add support to reload individual form component properties via `reload`, deprecating `reloadComponents`
  - Fix `onValidated` handler to be only called when the component's value is valid
  - Use HyperSnapSDK `4.18.0`
    - Update analytics to send events to dev db in debug environments
- Upgrade native Android HyperKYC to `0.18.0`
  - Add support for no-UI API child modules
  - Add support for `horizontal` component
  - Add support for `image`, `timer` and `loader` components
  - Add support for `blocks` subType for `text` component - OTP use-cases
  - Add support for margin and padding customisation for form components
  - Add support for non `http/www` redirections within `webview` module - UPI payment use-cases
  - Add support for container components to be clickable
  - Add support for `circleBorderColor` to `divider` form component
  - Add support to expose `attempts` for all modules
  - Add support to reload individual form component properties via `reload`, deprecating `reloadComponents`
  - Fix `onValidated` handler to be only called when the component's value is valid
  - Fix handler execution bug for >2 nested components
  - Fix argb color handling for `dynamicForm` UI configs
  - Use HyperSnapSDK `4.18.0`
    - Add support to show retake screen for password protected PDF and unsupported file types
    - Add fixes to disable multiple taps on primary, secondary and back buttons
    - Update analytics to send events to dev db in debug environments
    - Update the quality of properties sent with the event (analytics)

### 0.17.0 *[ 16 Oct 2023]*
- Upgrade native iOS HyperKYC to `0.17.0`
  - Add support for video statement v2 module
  - Use HyperSnapSDK `4.16.0`
    - Add support for videoStatementV2 in UI config helpers
- Upgrade native Android HyperKYC to `0.17.0`
  - Add support for video statements v2 module
  - Fix resume workflow resuming from one module behind expected module
  - Use HyperSnapSDK `4.16.0`
    - Add support for videoStatementV2 in UI config helpers
    - Add support for video statements v2 module
    - Fix resume workflow resuming from one module behind expected module
    
### 0.16.0 *[ 13 Oct 2023]*
- Upgrade native iOS HyperKYC to `0.16.0`
  - Add support for end states animations to `document`, `face` and `api` modules
  - Add support to expose `enabled`, `visible` and `required` fields for form components
  - Add support for `content` property for `date` component within `dynamicForm`
  - Fix condition parser logic
  - Use HyperSnapSDK `4.15.0` (no maintenance upgrade)
- Upgrade native Android HyperKYC to `0.16.0`
  - Add support for end states animations to `document`, `face` and `api` modules
  - Add support to expose `enabled`, `visible` and `required` fields for form components
  - Add support for `content` property for `date` component within `dynamicForm`
  - Add support for error messages to work in single component forms
  - Add support to handle invalid authTokens - fails with `SDK_CONFIG_ERROR(101)`
  - Fix session recording crash when running long workflows
  - Fix `showEndState` and `isSuccess` getting evaluated before module completion
  - Fix resume workflow resuming from one module behind expected module
  - Fix end states to also exit workflow for api failure cases
  - Use HyperSnapSDK `4.15.1`
    - Allow document capture only after camera is initialised
    - Send a new error code `INVALID_FILE_ERROR` with error code 37 when invalid file is selected by the user in document upload flow
    - Fix `IllegalStateException - Fragment not attacheed to activity` at `setShouldAllowActivityClose`
    - Fix auth error responses for face capture liveness
    - Fix `HyperSnapUIConfigUtil` crash in low memory conditions

### 0.15.0 *[ 19 Sep 2023]*
- Upgrade native iOS HyperKYC to `0.15.0`
  - Add support for vertical & divider components in dynamic form module.
  - Add support for ui config for dynamic form module
  - Add support for client logos on HV screens
  - Add support to customise icons for primary buttons
  - Add support to expose `attemptsCount` for face & doc capture
  - Clear form values after closing the dynamic form module
  - Fix branding layout issue in LoadingVC
  - Fix newline character signature issue (present in both HyperSnap & HyperKYC)
  - Fix Webview constraint issues (happening in iPad)
  - Fix  parser for nested json & array within `details`
  - Fix iPad formsheet closing on iOS 13 & above
  - Fix GET api call error in API Module
  - Use HyperSnapSDK `4.15.0`
    - Support custom icons for primary buttons through UI config - support show/hide of these icons as well
    - Support displaying of client logos through UI config
    - Fix flashButton show/hide issue
    - Fix newline character signature issue
    - Fix indefinite loading animation after capturing the image in lower end devices
    - Fix SDK crash on clicking back button when image is being processed
    - Fix iPad closing on iOS 13 & above
- Upgrade native Android HyperKYC to `0.15.0`
  - Add support for vertical, divider components within dynamic form module
  - Add support for UI configs to dynamic form module
  - Add support to show client logos
  - Expose attemptsCount for face and <side>_attemptsCount for document module
  - Fix resume workflow issues
  - Fix regex double handling values within rules evaluator
  - Use HyperSnapSDK `4.15.0`
    - Support showing of client logos in all the screens
    - Support showing of customised primary button icons
    - Support to hide/show primary button icon
    - Fix ripple animation to be in sync with HyperKYC
    - Fix network tampering errors when JSON value contains `\n` characters
    - Fix signature validation when `metadata` is missing in the response.
    - Fix OCR API call to return NETWORK_ERROR when not connected to the internet

### 0.14.0 *[ 16 Aug 2023]*
- Upgrade native iOS HyperKYC to `0.14.0`
  - Add support to send default headers to finish transaction API call
  - Add support for `loggingPercentage` and `effectiveFrom` via Analytics config
  - Use HyperSnapSDK `4.14.0`
    - Add support for `loggingPercentage` and `effectiveFrom` via Analytics config
    - Disable closing of activities when Liveness and OCR API calls are being made
    - Add Processing text padding for A4 document type
- Upgrade native Android HyperKYC to `0.14.0`
  - Add support to send default headers to finish transaction API call
  - Bug fixes to session recording retry
  - Fix video statement camera not closing
  - Use HyperSnapSDK `4.14.0`
    - Show document review screen in upload flow (sync with iOS)
    - Disable closing of activities when Liveness and OCR API calls are being made
    - Update face detection logic after capture
    - Add support for `loggingPercentage` and `effectiveFrom` via Analytics Config
    - Update to v2 feature config
    - Check for `null` filepath before creating EXIF
    - Use `getString` to get String resources to show message in Alert Dialog Box
    - Fix `WindowManager$BadTokenException` when showing Alert Dialog Box
    - Fix `IllegalStateException - Can't compress a recycled bitmap` crash
    - Fix camera button color customisation for face capture flow
    - Bump HVCamera module version to `3.3.2`
      - Add check for isCameraOpened before opening preview
      - Add null check for glBuffers
      - Add support to get multiple resolutions hardware info
    - Bump crashguard module version to `1.1.2`
      - Change exported to false for CrashIntentService
      - Update filter logic to check for filter strings in stacktrace string
    - Bump hypervideo module version to 2.0.0
      - Bug fixes to selfie video recording

### 0.13.0 *[ 28 Jul 2023 ]*
- Upgrade native iOS HyperKYC to `0.13.0`
  - Use HyperSnapSDK `4.13.0`
  - Add support for Video Statement Module
  - Fix `injectFromResponse()` bug
- Upgrade native Android HyperKYC to `0.13.0`
  - Use HyperSnapSDK `4.13.0`
    - Add support for Video Statement Module
    - Add support to extract face data from Secure Aadhaar QR codes
    - Fix crashes in foldable devices
    - Fix status and preview overlap in face capture screen in all small screen devices
    - Fix face match validation logic to check for invalid file input values
    - Fix requireContext NPE crashes in face capture flow
    - Fix `verifyAPI` function to return `INPUT_ERROR` instead of `INTERNAL_SDK_ERROR` when context passed is null
  - Add support for Video Statement Module
  - Fix `minifyEnabled` issue

### 0.12.0 *[ 04 Jul 2023 ]*
- Upgrade native iOS HyperKyc to `0.12.0`
  - Use HyperSnapSDK `4.12.0`
    - Add support to make barcode read mandatory via HVDocConfig `setDisableBarcodeSkip` function
    - Fix memory issues in iPhone 6 & 7 variants
  - Add support to make barcode read mandatory via
- Upgrade native android HyperKYC to `0.12.0`
  - Use HyperSnapSDK 4.12.0
    - Add support to make barcode read mandatory via HVDocConfig `setDisableBarcodeSkip` function
    - Add support for customising stay still text via text configs
    - Fix NPE for `getlocationonscreen` function call in face capture flow
  - Add support to make barcode read mandatory via workflow configs
  - Add support to enable face detector and face capture timeouts via workflow configs

### 0.11.1 *[ 26 Jun 2023 ]*
- Add setter function `setUseLocation` to HyperKycConfig to support geo-location validation inputs

### 0.11.0 *[ 24 Jun 2023 ]*
- Upgrade native iOS HyperKyc to `0.11.0`
  - Use HyperSnapSDK 4.11.0
    - Add support to return longitude and latitude in `HVResponse` object
    - Fix signature check issue caused by JSONArray sorting
    - Remove deprecated AVFoundation usages
  - Add support for geo-location validation inputs
  - Remove deprecated AVFoundation usages
  - Add support for [String: Any] text config type
- Upgrade native android HyperKYC to `0.11.0`
  - Use HyperSnapSDK 4.11.0
    - Remove unused resources and code to optimise SDK size
    - Add support to fallback to default face detector when `face-detection-preview-frame` module is excluded
    - Add support to return longitude and latitude in `HVResponse` object
    - Fix signature check issue caused by JSONArray sorting
  - Add support to reduced SDK size by removing unused resources, optimisations to proguard, etc
  - Add support for geo-location validation inputs
  - Fix country picker selecting 2 countries bug

### 0.10.1 *[ 19 Jun 2023 ]*
- Fix version number issue

### 0.10.0 *[ 19 Jun 2023 ]*
- Upgrade native iOS HyperKyc to `0.10.1`
  - Use HyperSnapSDK `4.10.0`
    - Add adaptive UI support for iPad
    - Add support to check signature for allowedStatusCodes
    - Add changes to support for session recording
    - Add support to delete sensor data files after upload
    - Add support for instructions during barcode scanning within Document capture
    - Add support for unfiltered API Response Header values
    - Add back navigation bug with Face capture when instructions screen is enabled
  - Add support for session recording module
  - Add support for secure flag to block screen capture/recording/overlays - `secure`
  - Add support for root check, fails with error 114 if device is rooted - `exitIfRooted`
  - Update analytics layer to power sankey charts on the dashboard 
  - Update signature check logic to run for allowedStatusCodes only
  - Add support for flags in finishTxn API 
  - Add adaptive UI support for iPad
- Upgrade native android HyperKYC to `0.10.0`
  - Use HyperSnapSDK `4.10.0`
    - Add support to mask aadhaar number from Barcode capture by default - *Breaking change*
    - Add support to check signature for non-200 status codes
    - Add support for loaders/progress indicators in review screen flows
    - Add changes to support for session recording
    - Add support to delete sensor data files after upload
    - Add support for instructions during barcode scanning within Document capture
    - Add support for unfiltered API Response Header values
    - Add back navigation bug with Face capture when instructions screen is enabled
  - Add support for session recording module
  - Add support for secure flag to block screen capture/recording/overlays - `secure`
  - Add support for root check, fails with error 114 if device is rooted - `exitIfRooted`
  - Add support for map<string to any> types in text configs
  - Add support for sending api flags within finishTxn api
  - Update analytics layer to power sankey charts on the dashboard
  - Update signature check logic to run for allowedStatusCodes only
  - Fix BarcodeCapture gson subtype not registered crash
  - Fix BarcodeCapture gson multiple tag fields crash
  - Fix a bug with text config source fetch when source is empty

### 0.9.1 *[ 11 May 2023 ]*
- Upgrade native iOS HyperKyc to `0.9.1`
  - Use HyperSnapSDK `4.8.1`
    - Fix camera initialisation to support latest devices
    - Fix retake message localisation
  - Add support for `enableLookStraight` in face module
  - Add support for resume workflow on app crash scenarios
- Upgrade native android HyperKYC to `0.9.1`
  - Use HyperSnapSDK `4.8.1`
    - Fix NPE issue when docConfig is not available for document capture
    - Support default fonts through XML if downloadable fonts are not supported
    - Fix NPE issue with document upload flow
  - Add support for `enableLookStraight` in face module
  - Fix resume workflow for app kill/force close scenarios
  - Fix resume workflow duplicate module bug
  - Fix doc module to send updated headers and params
  - Fix sdk reinitialisation bug which ignored new sdk configs
  - Fix "hyperKycData is not initialised" sdk crash

### 0.9.0 *[ 25 Apr 2023 ]*
- Upgrade native iOS HyperKyc to `0.9.0`
  - Use HyperSnapSDK `4.8.0`
    - Add support to enable/disable selfie video recording feature from remote config
    - Log video recording events to rudderstack
    - Add support to customise picker ui
    - Support feature enabling/disabling by OS config
    - Support Look Straight feature for iOS 16+ devices (which was previously disabled for all iOS 16+ devices)
  - Add support for file preview in file upload module
  - Add support for 'sdk' prefixed variable injection
  - Enable customisations for picker screens
- Upgrade native android HyperKYC to `0.9.0`
  - Use HyperSnapSDK `4.8.0`
    - Add support to enable/disable selfie video recording feature from remote config
    - Log video recording events to rudderstack
    - Improve Aadhaar secure QR and XML parsers
    - Fix NPE issues with NetworkHelper checks
  - Add file upload review screen for dynamic form module
  - Enable customisations for picker screens
  - Add support for 'sdk' prefixed variable injection - defaults to empty always
  - Add support for ui config reset for each workflow fetch
  - Add support for custom headers in document and face modules
  - Fix 'result intent cannot be null' secondary crashes

### 0.8.0 *[ 10 Apr 2023 ]*
- Upgrade native iOS HyperKyc to `0.8.0`
  - Use HyperSnapSDK `4.7.0`
    - Update SDK security
    - Add flag to enable or disable showing of overlays; overlays are shown by default
    - Disable overlays for active liveness; overrides overlay config if active liveness is used
    - Enable customisations and fix bugs for QR capture flow
    - Support `formPlaceHolderTextColor` from UI Config
    - Fix UI/UX bugs (Retake button placement, Selfie retake button border radius, Spinner animation, Camera-permission view)
  - Update SDK security
  - Enable localisations for "almost done" and "processing, please wait" texts shown in the UI
  - Add support to disable overlays via workflow config. overlays are enabled by default
  - Add support for file upload component within dynamic form module
  - Add `backCamera` support for face module
  - Fix spinner animation issue
  - Fix buttons style issue
- Upgrade native android HyperKYC to `0.8.0`
  - Use HyperSnapSDK `4.7.0`
    - Update SDK security
    - Fix overlay and loading text for `a4` aspect ratio previews
    - Fix to pause camera preview when API calls are made
    - Add timeout for face detector and face capture
    - Add flag to enable or disable showing of overlays; overlays are shown by default
    - Disable overlays for active liveness; overrides overlay config if active liveness is used
    - Enable customisations and fix bugs for QR capture flow
    - Add internal support functions to enable picker UI customisations
  - Update SDK security
  - Enable localisations for "almost done" and "processing, please wait" texts shown in the UI
  - Enable text and UI customisations for QR module
  - Add support to disable overlays via workflow config. overlays are enabled by default
  - Add support for file upload component within dynamic form module
  - Add support for special characters within workflow rules
  - Add support for large SDK string inputs for the workflow. ex: base64
  - Add support to skip workflow resume if workflow config was modified

### 0.7.5 *[ 24 Mar 2023 ]*
- Upgrade native iOS HyperKyc to `0.7.2`
  - Use HyperSnapSDK `4.6.3`
    - Fix font specific issues for UI config
- Upgrade native android HyperKYC to `0.7.4`
  - Use HyperSnapSDK `4.6.4`
    - Support fonts added in any sub-folder within the assets folders
    - Fix multiple UI config edge case bugs
  - Add support for `,` character within rules

### 0.7.4 *[ 07 Mar 2023 ]*
- Upgrade native iOS HyperKyc to `0.7.2`
  - Use HyperSnapSDK `4.6.2`
    - Fixes to UI config issues :
      - Text size getting overwritten
      - Animations overlapping in small screens 
      - Retake screen attributed string 
      - Absence of borderWidth for Primary buttons
      - Color of status text not changing
    - Fixes to Text config issues :
      - In-line Loader text config issues 
      - Sync with web sdk text configs
        - Change `faceCapture_autoCaptureWait` to `faceAutoCapture_stayStill`
        - Change `faceCapture_autoCaptureAction` to `faceAutoCapture_labelChange`
- Upgrade native android HyperKYC to `0.7.3`
  - Use HyperSnapSDK `4.6.3`
    - Fixes to UI config issues 
    - Sync with web sdk text configs 
      - Change `faceCapture_autoCaptureWait` to `faceAutoCapture_stayStill` 
      - Change `faceCapture_autoCaptureAction` to `faceAutoCapture_labelChange`

### 0.7.3 *[ 27 Feb 2023 ]*
- Upgrade native iOS HyperKyc to `0.7.1`
  - Use HyperSnapSDK `4.6.1`
    - Add fix for lottie animation not loading
    - UI/UX bug fixes
  - Fix request body issue in api module
- Upgrade native android HyperKYC to `0.7.2`
  - Use HyperSnapSDK `4.6.1`
    - Add text config support for doc upload button; use `docInstructions_uploadButton`
    - Add support for camera API switch in SDK
  - Fix `HVResponse.videoUri` not exposed via `videoPath` bug

### 0.7.2 *[ 13 Feb 2023 ]*
- Upgrade native android HyperKYC to `0.7.1`
  - Add error message to API call failure results
  - Add `transactionId` to sentry crashes
  - Fix `null` in headers bug which made calls fail for `API` module
  - Fix `HyperKycConfig.addMetadata` implementation

### 0.7.1 *[ 13 Feb 2023 ]*
- Please note that this version has been retracted

### 0.7.0 *[ 06 Feb 2023 ]*
- Upgrade native iOS HyperKYC to `0.7.0`
  - Use ios HyperSnapSDK `4.6.0`
  - Add `supportedUploadFileTypes` via document module properties
  - Add support for Dynamic form module Phase 2
  - Add support for additional documents through `documentsOverride`
  - Add support for document name and type override for document module
  - Add support for `documentsSupported` ids to be injectable
  - Improvements to SDK start up time by fetching SDK configs etc in parallel
  - Improvements to UI/UX
  - Improvements to UI Config
  - Update `showReview` to be false and `showInstruction` to be true by default
  - Update document picker to use item ordering from `documentsSupported` array
  - Fix for boolean conditional checks
- Upgrade native android HyperKyc to `0.7.0`
  - Use android HyperSnapSDK `4.6.0`
  - Add `supportedUploadFileTypes` via document module properties
  - Add support for Dynamic form module Phase 2
  - Add support for additional documents through `documentsOverride`
  - Add support for document name and type override for document module
  - Add support for documentsSupported ids to be injectable
  - Improvements to SDK start up time by fetching SDK configs etc in parallel
  - Improvements to UI/UX
  - Update `showReview` to be false and `showInstruction` to be true by default
  - Update document picker to use item ordering from `documentsSupported` array
  - Update read/write timeouts to 60 sec for API module
  - Update the rules evaluator to support - in rules value
  - Fix HyperKycConfig serialization issue - adds gson rules to consumer-rules.pro
  - Fix and replace unsupported datetime methods <API26
  
### 0.3.4 *[ 12 Jan 2023 ]*
- Upgrade native iOS HyperKYC to `0.3.10`
  - Fixes side text translations - front and back
  - Update font and font weight keys
  - Enable text config for device orientation
- Upgrade native android HyperKyc to `0.3.14`
  - Fixes side text translations - front and back
  - Fix fonts rendering logic to use font file extensions
  - Change font family and font weight keys to reflect PRD and websdk
  - Remove hard coded strings pointing to Mixpanel API

### 0.6.0 *[ 16 Dec 2022 ]*
- Upgrade native iOS HyperKYC to `0.6.0`
- Upgrade native android HyperKyc to `0.6.0`

### 0.3.3 *[ 13 Dec 2022 ]*
- Upgrade native iOS HyperKYC to `0.3.9`
- Upgrade native android HyperKyc to `0.3.13`

### 0.5.0 *[02 Dec 2022]*
- Upgrade native iOS HyperKYC to `0.5.0` - Includes `DocDetect`
- Upgrade native android HyperKyc to `0.5.0` - Includes `DocDetect`
- Update deployment target to 11 (for iOS)
- Update compileSDK version to 33 (for android)

---
** Please note that 0.4.0 version does not exist. We have taken this decision to maintain version number consistency between all the platforms that we support ** 
---

### 0.3.2 *[ 07 Nov 2022 ]*
- Upgrade native iOS HyperKYC to `0.3.8`
- Upgrade native android HyperKyc to `0.3.11`
- Pass sdk-version and sdk-type metadata to native SDKs (internal usage only)
- Obtain rawDataJsonString from native SDKs (internal usage only)

### 0.3.1 *[ 30 Sep 2022 ]*

- Upgrade native iOS HyperKYC to `0.3.4`
- Upgrade native android HyperKyc to `0.3.6`
- Update compileSDK version to 31 (for android)

### 0.3.0 *[ 12 Aug 2022 ]*

- Upgrade native iOS HyperKYC to `0.3.0`
- Upgrade native android HyperKyc to `0.3.1`
- **Breaking Change** - SDK Response restructure

### 0.2.0 *[ 16 Jun 2022 ]*

- Upgrade native iOS HyperKYC to `0.2.1`
- Upgrade native android HyperKyc to `0.0.5-alpha01`
- **Breaking Change** - Add support for workflowId and custom inputs

### 0.0.5 *[ 22 Apr 2022 ]*

- Upgrade native iOS HyperKYC to `0.1.0`
- Upgrade native android HyperKyc to `0.0.3-alpha01`
- UI/UX revamp

### 0.0.4 *[ 23 Mar 2022 ]*

- Upgrade native iOS HyperKYC to `0.0.7`
- Upgrade native android HyperKyc to `0.0.2-alpha04`
- Add extra doc quality checks members to DocQualityChecks class

### 0.0.3 *[ 11 Mar 2022 ]*

- Upgrade native iOS HyperKYC to `0.0.6`
- Upgrade native android HyperKyc to `0.0.2-alpha03`
- Upgrade Flutter bridge files to support configurable workflow
- Update README

### 0.0.2 *[ 02 Feb 2022 ]*

- Upgrade native iOS HyperKyc to `0.0.4`
- Fix minor bugs
- Update README
- Add documentation to all public properties

### 0.0.1 *[ 01 Feb 2022 ]*

- Release Aplha Version with native Android HyperKyc `0.0.1-alpha02` and native iOS HyperKyc `0.0.3`
