import 'dart:async';

import 'package:bloc/bloc.dart';
import 'package:equatable/equatable.dart';
import 'package:hyperkyc_flutter/hyperkyc_result.dart';

part 'hyperkyc_event.dart';

part 'hyperkyc_state.dart';

class HyperkycBloc extends Bloc<HyperkycEvent, HyperkycState> {
  HyperkycBloc() : super(HyperkycInitialState());

  @override
  Stream<HyperkycState> mapEventToState(
    HyperkycEvent event,
  ) async* {
    if (event is HyperkycLaunchedEvent) {
      yield* _mapHyperkycLaunchedEventToState(event);
    } else if (event is HyperKycFinishedEvent) {
      yield* _mapHyperKycFinishedEventToState(event);
    }
  }

  Stream<HyperkycState> _mapHyperkycLaunchedEventToState(
      HyperkycLaunchedEvent event) async* {
    yield HyperkycInitialState();
  }

  Stream<HyperkycState> _mapHyperKycFinishedEventToState(
      HyperKycFinishedEvent event) async* {
    yield HyperkycFinishedState(hyperKycResult: event.result);
  }
}
